> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invopop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm

> Confirm that the upload process has completed.

After uploading the agreement and identity images, call this endpoint to confirm that everything has been prepared correctly and the supplier is ready to start operating. This will trigger an update to a job that is waiting for the upload process to complete.

The Invopop team will promptly review the uploaded material and proceed to accept or reject the documentation after this point. In the case of rejection, the supplier will no longer be able to issue invoices, but the process to re-upload agreement material will be available again.


## OpenAPI

````yaml POST /apps/gov-es/v1/entry/{silo_entry_id}/{system}/confirm
openapi: 3.1.0
info:
  contact:
    email: dev@invopop.com
    name: Invopop Developers
  description: Set of end-points that help you test access to the Spain app API.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Spain Service API
  version: 0.1.0
servers:
  - description: production
    url: https://api.invopop.com
security:
  - InvopopAuth: []
paths:
  /apps/gov-es/v1/entry/{silo_entry_id}/{system}/confirm:
    post:
      description: Confirm that the upload process has completed.
      parameters:
        - description: ID of the org.Party silo entry to confirm the upload for.
          in: path
          name: silo_entry_id
          required: true
          schema:
            description: ID of the org.Party silo entry to confirm the upload for.
            example: 5b45453c-cdd0-11ed-afa1-0242ac120002
            title: ID
            type: string
        - description: System in which the party is being registered.
          in: path
          name: system
          required: true
          schema:
            description: System in which the party is being registered.
            title: System
            type: string
            enum:
              - sii
      responses:
        '202':
          description: No content
components:
  securitySchemes:
    InvopopAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |
        Use the `Bearer` scheme with a valid JWT token to authenticate requests.

        Example: `Authorization: Bearer <token>`

````